Package ru.bgcrm.struts.action.admin

# Class ProcessAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
ru.bgcrm.struts.action.admin.ProcessAction

public class ProcessAction extends BaseAction

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `JSP_USED_IN_TYPES`

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `properties(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `propertiesUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `queueDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `queueDuplicate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `queueGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `queueList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `queueUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `statusDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `statusGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `statusList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `statusUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `statusUseProcess(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `typeCopy(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `typeDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `typeGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `typeInsertMark(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `typeList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `typeUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `typeUsed(DynActionForm form, Connection con)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JSP_USED_IN_TYPES

    public static final String JSP_USED_IN_TYPES
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProcessAction

    public ProcessAction()

- ## Method Details

  - ### statusList

    public org.apache.struts.action.ActionForward statusList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### statusUseProcess

    public org.apache.struts.action.ActionForward statusUseProcess(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### statusDelete

    public org.apache.struts.action.ActionForward statusDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### statusGet

    public org.apache.struts.action.ActionForward statusGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### statusUpdate

    public org.apache.struts.action.ActionForward statusUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### typeList

    public org.apache.struts.action.ActionForward typeList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### typeGet

    public org.apache.struts.action.ActionForward typeGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### typeUpdate

    public org.apache.struts.action.ActionForward typeUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### typeDelete

    public org.apache.struts.action.ActionForward typeDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### typeInsertMark

    public org.apache.struts.action.ActionForward typeInsertMark(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### typeUsed

    public org.apache.struts.action.ActionForward typeUsed(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### typeCopy

    public org.apache.struts.action.ActionForward typeCopy(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### queueList

    public org.apache.struts.action.ActionForward queueList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### queueGet

    public org.apache.struts.action.ActionForward queueGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### queueUpdate

    public org.apache.struts.action.ActionForward queueUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### queueDuplicate

    public org.apache.struts.action.ActionForward queueDuplicate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### queueDelete

    public org.apache.struts.action.ActionForward queueDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### properties

    public org.apache.struts.action.ActionForward properties(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### propertiesUpdate

    public org.apache.struts.action.ActionForward propertiesUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`